#!/usr/bin/env python3
import json
import requests

HOST = "localhost"
PORT = "9000"

LAMBDA_URL = f"http://{HOST}:{PORT}/2015-03-31/functions/function/invocations"

payload = {
    "Records": [
        {
            "body": json.dumps(
                {
                    "portfolio_id": 569,
                    "scenarios_to_consider": [],
                    "scenario_priority_order": [],
                    "min_property_id": 660418,
                    "max_property_id": 660917,
                    "subtask_id": "6a0bcbac-ddab-435f-8708-8acd4662b067",
                }
            )
        }
    ]
}

response = requests.post(LAMBDA_URL, json=payload)

print("Status code:", response.status_code)
print("Response:")
print(response.text)
